ata_port_disable
Prev | Chapter 4. libata Library | Next

## Name

ata_port_disable — Disable port.

## Synopsis

`void ata_port_disable (` | struct ata_port * | ap`)`;

## Arguments

`ap`

  Port to be disabled.

## Description

Modify `ap` data structure such that the system thinks that the entire port is disabled, and should never attempt to probe or communicate with devices on this port.

## LOCKING

host lock, or some other form of serialization.

Prev | Up | Next
ata_dev_pair | Home | sata_set_spd